/**
 * @since 1.0.0
 */
import type { TranslateConfig } from "@aws-sdk/lib-dynamodb";
import { Effect, Layer } from "effect";
import type { DynamoDBDocumentService } from "./DynamoDBDocumentService.js";
/**
 * @since 1.0.0
 * @category dynamodb service config
 */
export declare const withDynamoDBDocumentServiceConfig: {
    (config: DynamoDBDocumentService.Config): <A, E, R>(effect: Effect.Effect<A, E, R>) => Effect.Effect<A, E, R>;
    <A, E, R>(effect: Effect.Effect<A, E, R>, config: DynamoDBDocumentService.Config): Effect.Effect<A, E, R>;
};
/**
 * @since 1.0.0
 * @category dynamodb service config
 */
export declare const setDynamoDBDocumentServiceConfig: (config: DynamoDBDocumentService.Config) => Layer.Layer<never, never, never>;
/**
 * @since 1.0.0
 * @category adapters
 */
export declare const toTranslateConfig: Effect.Effect<TranslateConfig>;
//# sourceMappingURL=DynamoDBDocumentServiceConfig.d.ts.map